Page MenuHome

Blender ID Authentication fails due to lack of SSL module
Closed, ResolvedPublic

Description

System Information
MacOS X High Sierra 10.13.6 (17G2208), Brand new MacBook Pro 2018 15".

Blender Version
Broken: Version 2.79 (2.79 2018-08-08, Blender Foundation)

Short description of error
Trying to login using the Blender ID Authenticatiion builtin plugin fails.

Exact steps for others to reproduce the error
Type in email and password into dialog in user preferences->plugins->System: Blender ID authentication, click Login and get error:

Exception POSTing to https://www.blender.org/id/u/identify. ... Caused by SSL error ("Can't connect to HTTPS because the SSL module is not available."))

Details

Type
Bug

Event Timeline

Bastien Montagne (mont29) lowered the priority of this task from Needs Triage by Developer to Normal.Aug 9 2018, 10:57 AM

This apprently is an issue in a daily build. Please provide the exact link you used to download Blender, so that we can test with th exact same version.

I got the lates Mac version from https://builder.blender.org/download dated Aug 8, 2018. The link in this page has changed to Aug 9 by now.

I downloaded the 2.79 build just now https://builder.blender.org/download//blender-2.79-c19ddcc975f-OSX-10.9-x86_64.zip, which appears to be the Aug 10 build. I had slightly different symptoms today, which make me a little more nervous.

What I did:

  • Since I couldn't get the daily build to work, I downloaded the standard 2.79 release from blender.org and successfully logged into Blender Cloud. This was all on a brand new Mac that has never had blender installed before. I used the blender cloud plugin to load my usual 2.79 settings.
  • Downloaded the daily build from builder.blender.org at the link https://builder.blender.org/download//blender-2.79-c19ddcc975f-OSX-10.9-x86_64.zip
  • Looked at the System: Blender ID Authentication and System: Blender Cloud plugins. Both show me as logged in (perhaps because I had logged in using the standard releasee). But when I click on Blender Sync's 'Find version to load', I get the same SSL module is not available error as originally reported. See attached screen shot...

This concerns me even more than the original problem because it says that I am logged in already so it could represent a serious security flaw. If the SSL module is not available due to a build problem but authentication is still proceeding then it is possible that credentials are being exchanged over the internet without encryption. My hope is that this is not the case and merely the build problem combined with an erroneous UI logged in status being displayed.

I suggest escalating this issue until you can at least verify that there is no security issue. But a working 2.79 build for Macs w/ the cloud plugin working would be greatly appreciated. It is one of the few things we have to pay for. ;-)

Chuck Ocheret (smart61) triaged this task as Confirmed, High priority.Aug 15 2018, 3:40 PM

This is still a problem in today's build and it exhibits the same security issue I reported yesterday. Please check today's Mac build at https://builder.blender.org/download//blender-2.79-a9700e7ad27-OSX-10.9-x86_64.zip.

I suggest escalating this issue until you can at least verify that there is no security issue.

There is no security issue. It's probably a configuration mistake on the Mac buildbot that causes it to miss a library.

But a working 2.79 build for Macs w/ the cloud plugin working would be greatly appreciated. It is one of the few things we have to pay for. ;-)

It's working with the official releases. Of course we appreciate the feedback about the daily builds, but we cannot guarantee that things keep working there. They even come with a warning 'These builds are not as stable as releases, use at your own risk', so claiming that you're paying for those is a bit far-fetched.

@Francesco Siddi (fsiddi) could you take a look at this at some point with your macOS-powers?

Sybren A. Stüvel (sybren) lowered the priority of this task from Confirmed, High to Normal.Aug 16 2018, 3:40 PM

@Chuck Ocheret (smart61) please don't change the priority of issues; that's done by module owners.

@Sybren A. Stüvel (sybren) Sorry about change the priority. Given that there might be a security issue (as described above on Aug 14) I felt it should be escalated. The problem persists today with the latest Mac build at builder.blender.org - https://builder.blender.org/download//blender-2.79-eebc292b424-OSX-10.9-x86_64.zip. I recall that this problem has recurred multiple times in the past with various Python modules not being available, including the SSL module.

Missing a library is *not* a security issue. The add-on refuses to communicate without SSL, so nothing is leaked.

I noticed that this may be related to another tracked issue - https://developer.blender.org/T54506 (Not sure if there's a better way to refer to it). Glad it isn't an explicit security issue despite the erroneous logged-in status. It is quite a painful problem for me at the moment because I have 3 classes w/ 90 students trying to wrap up Summer work and use the new Principled Hair BSDF and we depend on SSL for a number of plug-ins including our render farm setup.

I would really recommend against using daily builds for anything this important. We'll try to get this fixed soon, but please, in the future, don't rely on unstable daily builds when you're responsible for your students.

Is there anyway to get someone to address this? This problem with the Mac daily build has persisted for a while (I only reported it after it remained broken for a few weeks). I have built Blender on my Mac at home and it exhibits the same problem. Not having SSL working means no access to Blender Cloud from the daily build and breaks things like the SketchFab uploader, several cloud rendering frameworks, etc... Is it more than a build config issue?

We're currently in the process of a library update, once this is finished this issue should be resolved, but you're gonna have to have a little bit more patience.

Thanks! That email revealed a workaround for the problem. After installing the brew openssl with

$ brew install openssl

it works now. Looking forward to the permanent fix. Great work, everyone!

Quick update... Interestingly the brew openssl appears to break a a number of things in MacOS so I had to back it out. In other words it isn't the best workaround for the problem. I just downloaded the daily build. I can't tell if this problem is still there because now the 'requests' module is missing from Python. This has been a problem in the past (I reported it for a production release a long time ago) but I haven't seen it in a while.

The console shows a bunch of errors like...

Brecht Van Lommel (brecht) closed this task as Resolved.EditedSep 12 2018, 1:48 PM

I added the missing requests module for the daily builds, and with the new bundled SSL version it all appears to be working now.